Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeBotStart

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeBotStart

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeBotStart extends TdApi.InternalLinkType
The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `autostart`
  True, if sendBotStartMessage must be called automatically without showing the START button.
  `String`
  `botUsername`
  Username of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `startParameter`
  The parameter to be passed to sendBotStartMessage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeBotStart()`
  The link is a link to a chat with a Telegram bot.
  `InternalLinkTypeBotStart(String botUsername, String startParameter, boolean autostart)`
  The link is a link to a chat with a Telegram bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUsername

    public String botUsername
    Username of the bot.

  - ### startParameter

    public String startParameter
    The parameter to be passed to sendBotStartMessage.

  - ### autostart

    public boolean autostart
    True, if sendBotStartMessage must be called automatically without showing the START button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeBotStart

    public InternalLinkTypeBotStart()
    The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

  - ### InternalLinkTypeBotStart

    public InternalLinkTypeBotStart(String botUsername, String startParameter, boolean autostart)
    The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.
    Parameters:
      `botUsername` - Username of the bot.
      `startParameter` - The parameter to be passed to sendBotStartMessage.
      `autostart` - True, if sendBotStartMessage must be called automatically without showing the START button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR